Results 1 to 15 of 15
  1. #1
    Join Date
    Sep 2006
    Posts
    30

    Unanswered: Installation problem

    I am trying to reinstall Oracle 8i on a Solaris 2.6 machine (no choice on versions of software). I have a lot of swap space and all users have access to /usr/ccs/bin. I am getting the following error:

    Error in invoking target notcontab.o of makefile /path/ins_net_client.mk.

    Any ideas?

    I can hit Ignore, but then I keep getting similar errors on other makefiles.

  2. #2
    Join Date
    Jun 2004
    Location
    Liverpool, NY USA
    Posts
    2,509
    To resolve this, add a large chunk of contiguous swap space, for example at least 500Mb. The reason for this is that a 'Typical Install' of Oracle8i Release 2 version 8.1.6 requires approximately 200Mb of reservable swap space during installation, and swap space should be available for any other instances/processes you may have running on the server.
    Bill
    You do not need a parachute to skydive. You only need a parachute to skydive twice.

  3. #3
    Join Date
    Sep 2006
    Posts
    30
    hank you for the suggestion. I added five 1 gig swapfiles. Solaris would not let me add a 3 gig. Same error.

  4. #4
    Join Date
    Jul 2003
    Posts
    2,296
    google to see if there is a post-installation commandline fix
    - The_Duck
    you can lead someone to something but they will never learn anything ...

  5. #5
    Join Date
    Nov 2006
    Posts
    4
    i think you must translate and edit the ins_net_client.mk file.

  6. #6
    Join Date
    Sep 2006
    Posts
    30
    I don't understand. What do I have to do to this file?

  7. #7
    Join Date
    Jan 2004
    Posts
    370
    Try the following:

    cd $ORACLE_HOME/network/lib
    make -f ins_net_client.mk ntcontab.o


    Post the full output of the make command.
    And I mean all of it.

    .

  8. #8
    Join Date
    Sep 2006
    Posts
    30
    here is the output:
    (if [ "assemble" = "compile" ] ; then \
    /d02/app/oracle/product/805/bin/gennttab > ntcontab.c ;\
    cc -c ntcontab.c ;\
    rm -f /d02/app/oracle/product/805/lib/ntcontab.o ;\
    mv ntcontab.o /d02/app/oracle/product/805/lib ; fi)
    (if [ "assemble" = "assemble" ] ; then \
    /d02/app/oracle/product/805/bin/gennttab > ntcontab.s ;\
    /usr/ccs/bin/as -P -o ntcontab.o ntcontab.s ;\
    rm -f /d02/app/oracle/product/805/lib/ntcontab.o ;\
    mv ntcontab.o /d02/app/oracle/product/805/lib ;\
    cd /d02/app/oracle/product/805/network/lib64 ;\
    /d02/app/oracle/product/805/bin/gennttab -64 > ntcontab.s ;\
    /usr/ccs/bin/as -P -xarch=v9 -K PIC -o ntcontab.o ntcontab.s ;\
    rm -f /d02/app/oracle/product/805/lib64/ntcontab.o ;\
    mv ntcontab.o /d02/app/oracle/product/805/lib64 ;\
    cd /d02/app/oracle/product/805/network/lib ;\
    /usr/ccs/bin/ar rv /d02/app/oracle/product/805/lib64/libn8.a /d02/app/oracle/product/805/lib64/ntcontab.o ; fi)
    /usr/ccs/bin/as: error: unknown option 'xarch=v9'
    usage: /usr/ccs/bin/as [-V] [-Q{y,n}] [-f[O][if]#] [-q] [-s]
    [-S] [-K {pic,PIC}] [-o objfile] [-L] [-T]
    [-P [[-Ipath] [-Dname] [-Dname=def] [-Uname]]...]
    [-m [-Ym,path]] [-n] [-xF] [-xarch=v7] [-xarch=v8] [-xarch=v8a] [-xarch=v8plus] [-xarch=v8plusa] file.s...
    *** Error code 1
    make: Fatal error: Command failed for target `ntcontab.o'

    I don't understand why xarch=v9 is in there. I don't even see that in the script.

  9. #9
    Join Date
    Jan 2004
    Posts
    370
    Looks like you are trying to install a 64-bit version of Oracle onto a 32 bit machine.

    .

  10. #10
    Join Date
    Jul 2003
    Posts
    2,296
    hahah!

    good catch
    - The_Duck
    you can lead someone to something but they will never learn anything ...

  11. #11
    Join Date
    Sep 2006
    Posts
    30
    Thanks for all the suggestions. I put the 32 bit CD in and installed with no problem.

  12. #12
    Join Date
    Aug 2007
    Posts
    2
    I have follow error:

    /usr/ccs/bin/make -f ins_net_client.mk ntcontab.o ORACLE_HOME=/u001/app/oracle/product/8.1.7
    (if [ "`if [ "unified_intel" = "unified_intel" ]; then if [ "SOL" = "SOL" ]; then echo "assemble" ; else echo "compile"; fi; fi`" = "compile" ] ; then \
    /u001/app/oracle/product/8.1.7/bin/gennttab > ntcontab.c ;\
    cc -c ntcontab.c ;\
    rm -f /u001/app/oracle/product/8.1.7/lib/ntcontab.o ;\
    mv ntcontab.o /u001/app/oracle/product/8.1.7/lib ;\
    ar rv /u001/app/oracle/product/8.1.7/lib/libn8.a /u001/app/oracle/product/8.1.7/lib/ntcontab.o ; fi)
    (if [ "`if [ "unified_intel" = "unified_intel" ]; then if [ "SOL" = "SOL" ]; then echo "assemble" ; else echo "compile"; fi; fi`" = "assemble" ] ; then \
    /u001/app/oracle/product/8.1.7/bin/gennttab > ntcontab.s ;\
    as -P -o ntcontab.o ntcontab.s ;\
    rm -f /u001/app/oracle/product/8.1.7/lib/ntcontab.o ;\
    mv ntcontab.o /u001/app/oracle/product/8.1.7/lib ;\
    ar rv /u001/app/oracle/product/8.1.7/lib/libn8.a /u001/app/oracle/product/8.1.7/lib/ntcontab.o ; fi)
    Assembler:
    "", line 1 : Unable to open input file: "/tmp/asPTAAZVaqpd"
    *** Error code 127
    make: Fatal error: Command failed for target `ntcontab.o'


    Do you have any idea?? Please HELP!!!

  13. #13
    Join Date
    Aug 2003
    Location
    Where the Surf Meets the Turf @Del Mar, CA
    Posts
    7,776
    Provided Answers: 1
    V8.1.7 has not been supported this century.
    V8.1.7 had installation problems on some Operating Systems; which you neglect to mention.
    I suggest you install V10.2.0.1 ASAP.

    Why are you hijacking a thread that is about a year old instead of starting 1 of your own?
    You can lead some folks to knowledge, but you can not make them think.
    The average person thinks he's above average!
    For most folks, they don't know, what they don't know.
    Good judgement comes from experience. Experience comes from bad judgement.

  14. #14
    Join Date
    Aug 2007
    Posts
    2
    Thanks for your anwser. i really apreciatte.

    We need migrate somes data bases that we haven in 8.1.7, so we need install first 8.1.7.

    the line that has error is in bold.

    /u001/app/oracle/product/8.1.7/bin/gennttab > ntcontab.s ;\
    as -P -o ntcontab.o ntcontab.s ;\ rm -f /u001/app/oracle/product/8.1.7/lib/ntcontab.o ;\
    mv ntcontab.o /u001/app/oracle/product/8.1.7/lib ;\
    ar rv /u001/app/oracle/product/8.1.7/lib/libn8.a /u001/app/oracle/product/8.1.7/lib/ntcontab.o ; fi)


    SO: Solaris 9. Intel. HP Proliant DL380 G3 Server.


    I don't know hat happen. I really need solve that, can you help me?.

  15. #15
    Join Date
    Jun 2004
    Location
    Liverpool, NY USA
    Posts
    2,509
    If you have existing databases in 8i and you can't upgrade them, then simply do a full export form 8i and a inport into a rebuilt 10g database.
    Bill
    You do not need a parachute to skydive. You only need a parachute to skydive twice.

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •